// BUFROptionsDlg.h : header file
//

#pragma once

#include "decl.h"
#include "Resource.h"
#include "Engine/Module.h"

/////////////////////////////////////////////////////////////////////////////
// TBUFROptionsDlg dialog
// 
class TBUFROptionsDlg : public TDialog
{
   ////////////////////////////////
   // Interface
   ////////////////////////////////
   public:

   TBUFROptionsDlg(CWnd* pParent = NULL);   // standard constructor

   // Dialog Data
   enum { IDD = IDD_BUFR_OPTIONS };
   CString strOriginatingCenter;
   CString strDataCategory;
   CString strDataSubCategory;

   ////////////////////////////////
   // Implementation
   ////////////////////////////////
   protected:

   CString m_strOldOriginatingCenter;
   CString m_strOldDataCategory;
   CString m_strOldDataSubCategory;

   CComboBox m_cbOriginatingCenter;
   CComboBox m_cbDataCategory;
   CComboBox m_cbDataSubCategory;

   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();
   void PopulateDataSubcategory();
   afx_msg void OnBtnChangeOriginatingCenter();
   afx_msg void OnCbnSelendokCbOriginatingCenter();
   afx_msg void OnBtnChangeDataCategory();
   afx_msg void OnCbnSelendokCbDataCategory();
   afx_msg void OnBtnChangeDataSubCategory();
   afx_msg void OnCbnSelendokCbDataSubCategory();
   virtual void OnOK();

   DECLARE_MESSAGE_MAP()
};
